ART: Add test for VarHandle properties

Bug: 65872996
Bug: 67497303
Test: art/test/run-test --host --64 710
Test: art/test/run-test --host 710
Change-Id: I27e4948864b381c6004175e3e3c7829b343cb8a5
diff --git a/test/710-varhandle-creation/build b/test/710-varhandle-creation/build
new file mode 100644
index 0000000..ca1e557
--- /dev/null
+++ b/test/710-varhandle-creation/build
@@ -0,0 +1,20 @@
+#!/bin/bash
+#
+# Copyright (C) 2017 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Stop if something fails.
+set -e
+
+./default-build "$@" --experimental var-handles